local sliceadmiral = LibStub("AceAddon-3.0"):GetAddon("SliceAdmiral");
local L = LibStub("AceLocale-3.0"):GetLocale("SliceAdmiral", true);
local addon = sliceadmiral:NewModule("ShowTimer");

function addon:OnInitialize()
sliceadmiral.opt.ShowTimer.args = { 
			GrowUp = {name=L["Bars/GrowUp"],type="toggle",order=1,		
				get = function(info) return SAMod.ShowTimer.Options.Barsup; end,
				set = function(info,val) SAMod.ShowTimer.Options.Barsup = val; end
			},
			Sort = {name=L["Bars/Sort"],type="toggle",order=2,			
				get = function(info) return SAMod.ShowTimer.Options.SortBars; end,
				set = function(info,val) SAMod.ShowTimer.Options.SortBars = val; end
			},
			empty = {name="", type="description",order=3,},
			ShowDoT = {name=L["Bars/ShowDoT"],type="toggle",order=4,		
				get = function(info) return SAMod.ShowTimer.Options.ShowDoTDmg; end,
				set = function(info,val) SAMod.ShowTimer.Options.ShowDoTDmg = val; end
			},
			DoTCrit = {name=L["Bars/DoTCrit"],type="toggle",order=5,		
				get = function(info) return SAMod.ShowTimer.Options.DoTCrits; end,
				set = function(info,val) SAMod.ShowTimer.Options.DoTCrits = val; end
			},
			barTex = {name=L["Main/Texture"], type="select",order=6,
				values = SA_Text,
				get = function(info) return SAMod.ShowTimer.Options.BarTexture; end,
				set = function(info,val) SAMod.ShowTimer.Options.BarTexture = val, sliceadmiral:RetextureBars(val, "spells") end, 
			},
			MasterVolume = {name=L["Sound/MasterVolume"],type="toggle",order=7,width="full",		
				get = function(info) return SAMod.Sound.MasterVolume; end,
				set = function(info,val) SAMod.Sound.MasterVolume = val; end
			},
			OutOfCombat = {name=L["Sound/OutOfCombat"],type="toggle",order=8,width="double",		
				get = function(info) return SAMod.Sound.OutOfCombat; end,
				set = function(info,val) SAMod.Sound.OutOfCombat = val; end
			},
			preview = {name=L["Sound/Preview"],type="toggle",order=9,width="full",		
				get = function(info) return SAMod.Sound.Preview; end,
				set = function(info,val) SAMod.Sound.Preview = val; end
			},
		}
	sliceadmiral.opt.ShowTimer.args["SliceAndDice"] = {name=SA_Spells[5171].name, type="group",order=10,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[5171]; end,
				set = function(info,val) SAMod.ShowTimer[5171] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[5171].tick; end,
				set = function(info,val)
					SAMod.Sound[5171].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[5171].alert; end,
				set = function(info,val) SAMod.Sound[5171].alert = val;
				sliceadmiral:SA_SoundTest(val);				
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Rupture"] = {name=SA_Spells[1943].name,type="group",order=11,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[1943]; end,
				set = function(info,val) SAMod.ShowTimer[1943] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1943].tick; end,
				set = function(info,val)
					SAMod.Sound[1943].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[1943].alert; end,
				set = function(info,val) SAMod.Sound[1943].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Recuperate"] = {name=SA_Spells[73651].name,type="group",order=12,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[73651]; end,
				set = function(info,val) SAMod.ShowTimer[73651] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[73651].tick; end,
				set = function(info,val)
					SAMod.Sound[73651].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[73651].alert; end,
				set = function(info,val) SAMod.Sound[73651].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["RevealingStrike"] = {name=SA_Spells[84617].name,type="group",order=13,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[84617]; end,
				set = function(info,val) SAMod.ShowTimer[84617] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84617].tick; end,
				set = function(info,val)
					SAMod.Sound[84617].t = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[84617].alert; end,
				set = function(info,val) SAMod.Sound[84617].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Vendetta"] = {name=SA_Spells[79140].name,type="group",order=14,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[79140]; end,
				set = function(info,val) SAMod.ShowTimer[79140] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[79140].tick; end,
				set = function(info,val)
					SAMod.Sound[79140].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[79140].alert; end,
				set = function(info,val) SAMod.Sound[79140].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["FindWeaknes"] = {name=SA_Spells[91021].name,type="group",order=15,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[91021]; end,
				set = function(info,val) SAMod.ShowTimer[91021] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[91021].tick; end,
				set = function(info,val)
					SAMod.Sound[91021].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[91021].alert; end,
				set = function(info,val) SAMod.Sound[91021].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Hemorrhage"] = {name=SA_Spells[16511].name,type="group",order=16,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[16511]; end,
				set = function(info,val) SAMod.ShowTimer[16511] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[16511].tick; end,
				set = function(info,val)
					SAMod.Sound[16511].tick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound[16511].alert; end,
				set = function(info,val) SAMod.Sound[16511].alert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Garrote"] = {name=SA_Spells[703].name,type="group",order=17,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[703]; end,
				set = function(info,val) SAMod.ShowTimer[703] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["BurstOfSpeed"] = {name=SA_Spells[137573].name,type="group",order=18,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[137573]; end,
				set = function(info,val) SAMod.ShowTimer[137573] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val; 
					sliceadmiral:SA_SoundTest(val);	
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Envenom"] = {name=SA_Spells[32645].name,type="group",order=19,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[32645]; end,
				set = function(info,val) SAMod.ShowTimer[32645] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["Feint"] = {name=SA_Spells[1966].name,type="group",order=20,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[1966]; end,
				set = function(info,val) SAMod.ShowTimer[1966] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["DeadlyPoison"] = {name=SA_Spells[2818].name,type="group",order=21,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[2818]; end,
				set = function(info,val) SAMod.ShowTimer[2818] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["BanditsGuile"] = {name=L["BanditsGuile"],type="group",order=22,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[84745]; end,
				set = function(info,val) SAMod.ShowTimer[84745] = val;SAMod.ShowTimer[84746] = val;SAMod.ShowTimer[84747] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	sliceadmiral.opt.ShowTimer.args["InternalBleeding"] = {name=SA_Spells[154953].name,type="group",order=23,
		args = {
			enable = {name=L["ShowBar"],type="toggle", order=1,
				get = function(info) return SAMod.ShowTimer[154953]; end,
				set = function(info,val) SAMod.ShowTimer[154953] = val; end
			},			
			bar1 = {name=L["SoundSettings"],type="header",order=3},		
			tick = {name=L["TickSound"],type="select",order=12,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageTick; end,
				set = function(info,val)
					SAMod.Sound.HemorrhageTick = val;
					sliceadmiral:SA_SoundTest(val);
				end
			},
			alert = {name=L["AlertSound"],type="select",order=13,disabled=true,
				values = SA_ASounds,
				get = function(info) return SAMod.Sound.HemorrhageAlert; end,
				set = function(info,val) SAMod.Sound.HemorrhageAlert = val;
				sliceadmiral:SA_SoundTest(val);
				end
			},
		}
	};
	
end